<script setup>
import AddAltIcon from "@carbon/icons-vue/es/add--alt/32";
const {typeCard, dataUser} = defineProps(["typeCard", "dataUser" ])
// window.console.log(dataUser.image_url)
</script>

<template>
<div  v-if="typeCard === 'profile'">    
    <div class="card">
        <img class="mt-3 " :src="dataUser.image_url" alt="profile_picture" />
        <p>{{dataUser.name}}</p>
    </div>
</div>
<div class="col" v-else-if="typeCard === 'add'">
    <RouterLink :to="`/members/add`" class="no-underline">
    <div class="card">
        <AddAltIcon class="add mt-4 "/>
        <p>Add Member</p>
    </div>
    </RouterLink>
</div>
<div class="col" v-else>
    <RouterLink :to="`/detail/2`" class="no-underline">
    <div class="card -z-10">
        <img class="mt-4" src="/photo-profile.jpeg" alt="profile_picture" />
        <p>James Boneng</p>
    </div>
    </RouterLink>
</div>

</template>

<style scoped>

.card{
  /* width: 200px; */
  /* width: 100%;
  height: auto; */
  /* min-height: 250px; */
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px;
  box-shadow: 0px 1px 3px rgba(16, 24, 40, 0.1),
    0px 1px 2px -1px rgba(16, 24, 40, 0.1);
    background-color: white;
}

.card img{
    @apply w-28 h-28 rounded-full border-4 border-slate-50 object-cover;
}

.card .add {
    @apply w-28 h-28 rounded-full border-4 border-slate-50 object-cover;
}

.card p {
    margin-top: 20px;
    font-size: 20px;
    font-weight: 600;
    


} 
</style>
